List API keys
curl --request GET \
--url https://api.pamhq.com/v1/api-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pamhq.com/v1/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pamhq.com/v1/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"keyPrefix": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"requestId": "<string>",
"pagination": {
"cursor": "<string>",
"hasMore": true
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}API Keys
List API keys
Lists API key metadata for the authenticated organization. Raw key values are never returned by this endpoint. Use this list to audit active, expired, and revoked keys.
GET
/
api-keys
List API keys
Authorizations
API key provided as Authorization: Bearer <key>.
Query Parameters
Maximum number of records to return.
Required range:
1 <= x <= 100Pagination cursor from the previous response.
⌘I